function [ Kl,Cl,Ml ] = elmt21( local_data )
% elmt21: 2-D three-node (triangular) element with 1 dof per node 
% for 2nd order PDE in (x1,x2)
% (Constant gradient triangle, etc.)
%
%Element subroutine to construct local stiffness matrix from local data
%
%  local_data.mater = [elt# Hyd.Cond Elt-thickness prop3 prop4 prop5 ] For material type
%
%  local_data.coords = [ x1 x2 of node 1;
%                        x1 x2 of node 2;
%                        x1 x2 of node 3]
%
%  local_data.dofs   = [ dof1 dof2 dof3] Global dof referenced to local dofs
%
  Kl = zeros(3,3);
  Cl = zeros(3,3);
  Ml = zeros(3,3);
  D  = zeros(2,2);
  A  = zeros(2,3);
%
%  Constitutive matrix - Darcy's Law, Fick's Law, Fourier's Law, Ohm's Law
%
  conductivity = local_data.mater(1,2);
  thickness    = local_data.mater(1,3);
  capacitance  = local_data.mater(1,4);
%-------------------------------- Evalaute constitutive matrix
             D = conductivity * [1 0; 0 1];
%-------------------------------- Evaluate coefs and determinant for element area


%-------------------------------- Evaluate derivatives of shape functions
A = [ a11 a12 a13; a21 a22 a23 ]
%-------------------------------- Evalaute conductance matrix
Kl = [ 1 2 3 ;
       4 5 6 ; 
       7 8 9 ]
%-------------------------------- Evalaute consistent mass (storage) matrix
Cl = (1/3)[ 1 0 0; 0 1 0; 0 0 1];

         
         
